<?php
/*
  osCommerce, Open Source E-Commerce Solutions 
http://www.oscommerce.com 

Copyright (c) 2003 osCommerce 

osCommRes, Services Oline 
http://www.oscommres.com 
Copyright (c) 2005 osCommRes 

Freeway eCommerce 
http://www.zac-ware.com/freeway 
Copyright (c) 2007 ZacWare 

Released under the GNU General Public License
*/
// Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();
?>
<!-- languages //-->
          <tr>
            <td>
				<?php
				if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
					if(!defined('BOX_HEADING_LANGUAGES'))define('BOX_HEADING_LANGUAGES', 'Languages');
					$info_box_contents = array();
					$info_box_contents[] = array('text'  =>BOX_HEADING_LANGUAGES);
					new infoBoxHeading($info_box_contents, true, true);
					
					if (!is_object($lng)) {
						include(DIR_WS_CLASSES . 'language.php');
						$lng = new language;
					}
					
					if (getenv('HTTPS') == 'on') $connection = 'SSL';
					else $connection = 'NONSSL';
					
					$languages_string = '';
					reset($lng->catalog_languages);
					while (list($key, $value) = each($lng->catalog_languages)) {
						$languages_string .= ' <a href="' . tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('language', 'currency')) . 'language=' . $key, $connection) . '">' . tep_image(DIR_WS_LANGUAGES .  $value['directory'] . '/images/' . $value['image'], $value['name']) . '</a> ';
					}
					
					$info_box_contents = array();
					$info_box_contents[] = array('align' => 'center',
												'text'  => $languages_string
												);
					new $infobox_template($info_box_contents);
					
					$info_box_contents = array();
					$info_box_contents[] = array(	'align' => 'left',
													'text'  => tep_draw_separator('pixel_trans.gif', '100%', '1')
												);
					new infoboxFooter($info_box_contents, true, true);
				}
				?>
            </td>
          </tr>
<!-- languages_eof //-->